For clean Markdown of any page, append .md to the page URL. For a complete documentation index, see https://developer.shipbob.com/api/receiving/llms.txt. For full documentation content, see https://developer.shipbob.com/api/receiving/llms-full.txt.

# Set ExternalSync flag for Wros


POST https://api.shipbob.com/2026-01/receiving:setExternalSync
Content-Type: application/json

Sets the external sync flag for one or more warehouse receiving orders to enable or disable external synchronization.


Reference: https://developer.shipbob.com/api/receiving/set-external-sync-flag-for-wros

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: api-2026-01
  version: 1.0.0
paths:
  /2026-01/receiving:setExternalSync:
    post:
      operationId: set-external-sync-flag-for-wros
      summary: |
        Set ExternalSync flag for Wros
      description: >
        Sets the external sync flag for one or more warehouse receiving orders
        to enable or disable external synchronization.
      tags:
        - subpackage_receiving
      parameters:
        - name: Authorization
          in: header
          description: Authentication using Personal Access Token (PAT) token or OAuth2
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Receiving.V2.WarehouseReceivingOrderViewModel
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Receiving.Post.2.0.Receiving.Set.External.Sync.Bad.Request.Object
        '401':
          description: Authorization missing or invalid
          content:
            application/json:
              schema:
                description: Any type
        '403':
          description: The provided credentials are not authorized to access this resource
          content:
            application/json:
              schema:
                description: Any type
      requestBody:
        description: The list of wro ids and a flag to enable external sync
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Receiving.UpdateExternalSyncModel'
servers:
  - url: https://api.shipbob.com
  - url: https://sandbox-api.shipbob.com
components:
  schemas:
    Receiving.UpdateExternalSyncModel:
      type: object
      properties:
        ids:
          type:
            - array
            - 'null'
          items:
            type: integer
        is_external_sync:
          type: boolean
      title: Receiving.UpdateExternalSyncModel
    Receiving.PackingType:
      type: string
      enum:
        - EverythingInOneBox
        - OneSkuPerBox
        - MultipleSkuPerBox
      title: Receiving.PackingType
    Receiving.FulfillmentCenterViewModel:
      type: object
      properties:
        address1:
          type:
            - string
            - 'null'
          description: Address line one of the fulfillment center
        address2:
          type:
            - string
            - 'null'
          description: Address line two of the fulfillment center
        city:
          type:
            - string
            - 'null'
          description: City the fulfillment center is located in
        country:
          type:
            - string
            - 'null'
          description: Country the fulfillment center is located in
        email:
          type:
            - string
            - 'null'
          description: Email contact for the fulfillment center
        id:
          type: integer
          description: Unique identifier of the fulfillment center
        name:
          type:
            - string
            - 'null'
          description: Name of the fulfillment center
        phone_number:
          type:
            - string
            - 'null'
          description: Phone number contact for the fulfillment center
        state:
          type:
            - string
            - 'null'
          description: State the fulfillment center is located in
        timezone:
          type:
            - string
            - 'null'
          description: Timezone the fulfillment center is located in
        zip_code:
          type:
            - string
            - 'null'
          description: Postal code of the fulfillment center
      description: Information about a fulfillment center
      title: Receiving.FulfillmentCenterViewModel
    Receiving.V2.InventoryQuantityViewModel:
      type: object
      properties:
        expected_quantity:
          type: integer
          description: Quantity of the inventory item submitted in the WRO
        inventory_id:
          type: integer
          description: ID of the inventory item
        received_quantity:
          type: integer
          description: Quantity of the inventory item received by the warehouse
        sku:
          type:
            - string
            - 'null'
          description: Sku of the inventory item
        stowed_quantity:
          type: integer
          description: Quantity of the inventory item stowed by the warehouse
      title: Receiving.V2.InventoryQuantityViewModel
    Receiving.PackageType:
      type: string
      enum:
        - Package
        - Pallet
        - FloorLoadedContainer
      title: Receiving.PackageType
    Receiving.ReceivingStatus:
      type: string
      enum:
        - Awaiting
        - Processing
        - Completed
        - Cancelled
        - Incomplete
        - Arrived
        - PartiallyArrived
        - PartiallyArrivedAtHub
        - ArrivedAtHub
        - ProcessingAtHub
        - InternalTransfer
      title: Receiving.ReceivingStatus
    Receiving.V2.ReceivingOrderStatusHistoryViewModel:
      type: object
      properties:
        id:
          type: integer
          description: Unique id of the status
        status:
          type:
            - string
            - 'null'
          description: Name of the status
        timestamp:
          type: string
          format: date-time
          description: Timestamp when the status was recorded
      description: View model for receiving order status history
      title: Receiving.V2.ReceivingOrderStatusHistoryViewModel
    Receiving.V2.WarehouseReceivingOrderViewModel:
      type: object
      properties:
        box_labels_uri:
          type:
            - string
            - 'null'
          description: >-
            URL to the packing slip to be included in each box shipment for this
            receiving order
        box_packaging_type:
          $ref: '#/components/schemas/Receiving.PackingType'
        expected_arrival_date:
          type: string
          format: date-time
          description: Expected date that all packages will have arrived
        external_sync_timestamp:
          type:
            - string
            - 'null'
          format: date-time
          description: >-
            The timestamp in UTC when a 3rd party integrator has set in our
            system
        fulfillment_center:
          $ref: '#/components/schemas/Receiving.FulfillmentCenterViewModel'
        id:
          type: integer
          description: Unique id of the warehouse receiving order
        insert_date:
          type: string
          format: date-time
          description: Insert date of the receiving order
        inventory_quantities:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/Receiving.V2.InventoryQuantityViewModel'
          description: Inventory items and quantities within the WRO
        last_updated_date:
          type: string
          format: date-time
          description: Last date the receiving order was updated
        package_type:
          $ref: '#/components/schemas/Receiving.PackageType'
        purchase_order_number:
          type:
            - string
            - 'null'
          description: Purchase order number for a receiving order
        status:
          $ref: '#/components/schemas/Receiving.ReceivingStatus'
        status_history:
          type:
            - array
            - 'null'
          items:
            $ref: >-
              #/components/schemas/Receiving.V2.ReceivingOrderStatusHistoryViewModel
          description: The history of status changes for this receiving order
      title: Receiving.V2.WarehouseReceivingOrderViewModel
    Receiving.Post.2.0.Receiving.Set.External.Sync.Bad.Request.Object:
      type: object
      additionalProperties:
        type: array
        items:
          type: string
      title: Receiving.Post.2.0.Receiving.Set.External.Sync.Bad.Request.Object
  securitySchemes:
    PAT:
      type: http
      scheme: bearer
      description: Authentication using Personal Access Token (PAT) token or OAuth2

```

## SDK Code Examples

```python Receiving_setExternalSyncFlagForWros_example
import requests

url = "https://api.shipbob.com/2026-01/receiving:setExternalSync"

payload = {
    "ids": [0],
    "is_external_sync": True
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Receiving_setExternalSyncFlagForWros_example
const url = 'https://api.shipbob.com/2026-01/receiving:setExternalSync';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"ids":[0],"is_external_sync":true}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Receiving_setExternalSyncFlagForWros_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.shipbob.com/2026-01/receiving:setExternalSync"

	payload := strings.NewReader("{\n  \"ids\": [\n    0\n  ],\n  \"is_external_sync\": true\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Receiving_setExternalSyncFlagForWros_example
require 'uri'
require 'net/http'

url = URI("https://api.shipbob.com/2026-01/receiving:setExternalSync")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"ids\": [\n    0\n  ],\n  \"is_external_sync\": true\n}"

response = http.request(request)
puts response.read_body
```

```java Receiving_setExternalSyncFlagForWros_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.shipbob.com/2026-01/receiving:setExternalSync")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"ids\": [\n    0\n  ],\n  \"is_external_sync\": true\n}")
  .asString();
```

```php Receiving_setExternalSyncFlagForWros_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.shipbob.com/2026-01/receiving:setExternalSync', [
  'body' => '{
  "ids": [
    0
  ],
  "is_external_sync": true
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Receiving_setExternalSyncFlagForWros_example
using RestSharp;

var client = new RestClient("https://api.shipbob.com/2026-01/receiving:setExternalSync");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"ids\": [\n    0\n  ],\n  \"is_external_sync\": true\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Receiving_setExternalSyncFlagForWros_example
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "ids": [0],
  "is_external_sync": true
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.shipbob.com/2026-01/receiving:setExternalSync")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```